
local LightWorld = require "light" --the path to where light_world is (in this repo "lib")

--create light world
function love.load()
  lightWorld = LightWorld({
    ambient = {0,0,0},         --the general ambient light in the environment
  })
  lightWorld:newLight(0, 0, 255, 255, 0, 250)
  lightWorld:newLight(300, 300, 50, 51, 21, 1000)
end

function love.update(dt)
  lightWorld:update(dt)
  --lightWorld:setTranslation(0, 0, 1)
end

function love.draw()
  love.graphics.push()
    --love.graphics.translate(0, 0)
    --love.graphics.scale(1)
    lightWorld:draw(function()
      love.graphics.setColor(1,1,1,1)
      love.graphics.rectangle("fill", 100, 100, 300, 400)
    end)
  love.graphics.pop()
end
